    # File lib/yard/server/commands/static_file_command.rb, line 21
            def run
              path = File.cleanpath(request.path).gsub(%r{^(../)+}, '')
              ([adapter.document_root] + STATIC_PATHS.reverse).compact.each do |path_prefix|
                file = File.join(path_prefix, path)
                if File.exist?(file)
                  ext = "." + (request.path[/\.(\w+)$/, 1] || "html")
                  headers['Content-Type'] = mime_type(ext, DefaultMimeTypes)
                  self.body = File.read(file)
                  return
                end
              end
              favicon?
              self.status = 404
            end